Package: java.time

## Class MonthDay

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `LocalDate` | `leftShift(int year)` Returns a LocalDate of this month/day and the provided year.
    `LocalDate` | `leftShift(Year year)` Returns a LocalDate of this month/day and the provided Year.
    `static MonthDay` | `parse(CharSequence text, String pattern)` Parse text into a MonthDay using the provided pattern.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

  - #### Methods inherited from interface java.time.temporal.TemporalAccessor

    `getAt`, `getAt`

  - #### Methods inherited from interface java.lang.Comparable

    `numberAwareCompareTo`

- - ### Methods Detail

    - #### public LocalDate leftShift(int year)

      Returns a LocalDate of this month/day and the provided year.

      Parameters:
        `year` - a year
      Returns:
        a LocalDate
      Since:
        2.5.0

    - #### public LocalDate leftShift(Year year)

      Returns a LocalDate of this month/day and the provided Year.

      Parameters:
        `year` - a Year
      Returns:
        a LocalDate
      Since:
        2.5.0

    - #### public static MonthDay parse(CharSequence text, String pattern)

      Parse text into a MonthDay using the provided pattern.

      Parameters:
        `text` - String to be parsed to create the date instance
        `pattern` - pattern used to parse the text
      Returns:
        a MonthDay representing the parsed text
      Since:
        2.5.0
      See Also:
        DateTimeFormatter
        MonthDay#parse(java.lang.CharSequence, java.time.format.DateTimeFormatter)